<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: FBSDKSharePhotoContent.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_81e630f80dfe391b8563c60e022e9d38.html">Facebook</a></li><li class="navelem"><a class="el" href="dir_b02e264201165a7c5946ce0715ae0fb3.html">FBSDKShareKit.framework</a></li><li class="navelem"><a class="el" href="dir_5c42ead9b52f068d508eb355515b1685.html">Headers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">FBSDKSharePhotoContent.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// Copyright (c) 2014-present, Facebook, Inc. All rights reserved.</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// You are hereby granted a non-exclusive, worldwide, royalty-free license to use,</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// copy, modify, and distribute this software in source code or binary form for use</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">// in connection with the web services and APIs provided by Facebook.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// As with any software that integrates with the Facebook platform, your use of</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">// this software is subject to the Facebook Developer Principles and Policies</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// [http://developers.facebook.com/policy/]. This copyright notice shall be</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// included in all copies or substantial portions of the software.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">// THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">// FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">// COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">// IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">// CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#import &lt;FBSDKShareKit/FBSDKSharingContent.h&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="interface_f_b_s_d_k_share_photo_content.html">   26</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_f_b_s_d_k_share_photo_content.html">FBSDKSharePhotoContent</a> : NSObject &lt;<a class="code" href="protocol_f_b_s_d_k_sharing_content-p.html">FBSDKSharingContent</a>&gt;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="interface_f_b_s_d_k_share_photo_content.html#a25922cdf4c382a13ebc748c8f2b0eba3">   32</a></span>&#160;<span class="keyword">@property</span> (nonatomic, <a class="code" href="protocol_f_b_s_d_k_copying-p.html#a93cd1625db2e893f0880c1093e4caf0c">copy</a>) NSArray *<a class="code" href="interface_f_b_s_d_k_share_photo_content.html#a25922cdf4c382a13ebc748c8f2b0eba3">photos</a>;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;- (BOOL)isEqualToSharePhotoContent:(<a class="code" href="interface_f_b_s_d_k_share_photo_content.html">FBSDKSharePhotoContent</a> *)content;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160; </div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">@end</span></div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aprotocol_f_b_s_d_k_copying-p_html_a93cd1625db2e893f0880c1093e4caf0c"><div class="ttname"><a href="protocol_f_b_s_d_k_copying-p.html#a93cd1625db2e893f0880c1093e4caf0c">-[FBSDKCopying-p copy]</a></div><div class="ttdeci">id copy()</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_share_photo_content_html"><div class="ttname"><a href="interface_f_b_s_d_k_share_photo_content.html">FBSDKSharePhotoContent</a></div><div class="ttdef"><b>Definition:</b> FBSDKSharePhotoContent.h:26</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_share_photo_content_html_a25922cdf4c382a13ebc748c8f2b0eba3"><div class="ttname"><a href="interface_f_b_s_d_k_share_photo_content.html#a25922cdf4c382a13ebc748c8f2b0eba3">FBSDKSharePhotoContent::photos</a></div><div class="ttdeci">NSArray * photos</div><div class="ttdef"><b>Definition:</b> FBSDKSharePhotoContent.h:32</div></div>
<div class="ttc" id="aprotocol_f_b_s_d_k_sharing_content-p_html"><div class="ttname"><a href="protocol_f_b_s_d_k_sharing_content-p.html">FBSDKSharingContent-p</a></div><div class="ttdef"><b>Definition:</b> FBSDKSharingContent.h:28</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
